var gdtBundle = Components.classes["@mozilla.org/intl/stringbundle;1"].getService(Components.interfaces.nsIStringBundleService);
var mystrings = gdtBundle.createBundle("chrome://dt/locale/distrust-menu.properties");
var dtEndSession = mystrings.GetStringFromName("dtEndSession");
var dtStartSession = mystrings.GetStringFromName("dtStartSession");
/**
  Distrust - Cleans up browser trails and leftovers
  Copyright (C) 2006 Itamar Kerbel
  http://www.gness.org/
  trustme@gness.com

  This library is free software; you can redistribute it and/or modify it
  under the terms of the GNU Lesser General Public License as published by
  the Free Software Foundation; either version 2.1 of the License, or (at
  your option) any later version.

  This library is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESSFOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
  for more details.

  You should have received a copy of the GNU Lesser General Public License
  along with this library; if not, write to the Free Software Foundation,
  Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
**/

/***************************************************/
function menuPressed(event) {
	//toggleDistrustState();
	var DTComponent = Components.classes['@gness.com/firefox/distrust;1'].getService(Components.interfaces.dtIDistrustService);
	if (DTComponent != null)
		DTComponent.toggleState();
}
/***************************************************/
function openDTPrefs(event) {
	window.openDialog("chrome://dt/content/dt-prefs.xul", "_blank", "centerscreen,chrome,resizable=no,dependent=yes")
}
/***************************************************/
function init() {
	logMsg("menu ui init");
	listenToEvent(window, "load", GM_hitch(this, "menuChromeLoad"));
  	//listenToEvent(window, "unload", GM_hitch(this, "chromeUnload"));
}
/***************************************************/
function menuChromeLoad(evt) {
	logMsg("menu chrome loaded");
	
	var menu = document.getElementById("menu_ToolsPopup");
	menu.addEventListener("popupshowing", toolsPopupShowing, false);
}
/***************************************************/
function toolsPopupShowing() {
	logMsg("toolsPopupShowing");
	var DTComponent = Components.classes['@gness.com/firefox/distrust;1'].getService(Components.interfaces.dtIDistrustService);
	if (DTComponent == null) {
		logMsg("Cannot detect DT state for menu item - exiting");
		return;
	}
	
	var menuItem = document.getElementById("dt-menu-item");
	if (menuItem == null)
		return;
		
	if (DTComponent.getIsActive() == true) {
		menuItem.label = dtEndSession;
	}
	else {
		menuItem.label = dtStartSession;
	}
}
/***************************************************/
init();






